%define relbuild 2023-11-25_091e20ef0f

%ifarch aarch64
  %global _smp_ncpus_max 4
%endif

%global optflags %optflags -Wno-deprecated-declarations

Name:           inkscape
Summary:        A vector-based drawing program using SVG
Version:        1.3.2
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphics
URL:            https://inkscape.org/
Source0:        https://media.inkscape.org/dl/resources/file/%{name}-%{version}.tar.xz
Source1:       inkscape.conf
Patch100:       inkscape-rpath.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(2geom) >= 1.2.2
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-pdf)
BuildRequires:  pkgconfig(cairo-svg)
BuildRequires:  pkgconfig(gdl-3.0)
BuildRequires:  pkgconfig(gdkmm-3.0)
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(gmock)
BuildRequires:  pkgconfig(GraphicsMagick++)
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(gspell-1)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(Magick++)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libcdr-0.1)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(librevenge-0.0)
BuildRequires:  pkgconfig(librevenge-stream-0.0)
BuildRequires:  lib64soup-devel
BuildRequires:  pkgconfig(libvisio-0.1)
BuildRequires:  pkgconfig(libwpg-0.3)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(bdw-gc)
BuildRequires:  pkgconfig(readline)
BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-cython
BuildRequires:  boost-devel
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(popt)
BuildRequires:  potrace-devel
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  gettext-devel
Requires:       python3-appdirs
Requires:       python3-cssselect
Requires:       python3-gobject3
Requires:       python3-lxml
Requires:       python3-numpy
Requires:       python3-pillow
Requires:       python3-requests
Requires:       python3-scour
Requires:       graphicsmagick
Recommends:     uniconvertor

%description
Inkscape is a generic SVG-based vector-drawing program.

Inkscape uses the W3C SVG (= "Scalable Vector Graphics") standard as its
native file format. Therefore, it is a very useful tool for web designers
and can be used as an interchange format for desktop publishing.

%prep
%autosetup -p1 -n inkscape-%{version}_%{relbuild}

# fix python shebangs
%py3_shebang_fix share/extensions/

# workaround CMake Error: failed to create symbolic link
# /build/inkscape_datadir/inkscape': no such file or directory
mkdir -p %{_vpath_builddir}/inkscape_datadir/

%build
# When WITH_IMAGE_MAGICK=OFF is set, it defaults to Graphicsmagick.
%cmake \
        -DWITH_IMAGE_MAGICK=OFF \
        -DWITH_MANPAGE_COMPRESSION=OFF

%cmake_build

%install
%cmake_install

perl -i -lne 'print unless m{^\[Drawing Shortcut Group\]}..1' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --add-category="Graphics" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -rf %buildroot/%{_includedir}
rm -f %buildroot/%{_libdir}/*.so
rm -rf %buildroot/%{_libdir}/pkgconfig
rm -rf %buildroot/%{_libdir}/cmake

install -Dm 0644 %SOURCE1 %buildroot/%{_sysconfdir}/ld.so.conf.d/inkscape.conf



%files
%{_bindir}
%{_datadir}
%{_libdir}/inkscape/
%{_libdir}/*.so*
%{_sysconfdir}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Tue Nov 28 2023 tex - 1.3.2-1pclos2023
- new version

* Tue Nov 21 2023 tex - 1.3.1-2pclos2023
- build from source
